<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: src/stack.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">stack.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="stack_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * To change this license header, choose License Headers in Project Properties.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * To change this template file, choose Tools | Templates</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * and open the template in the editor.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">/* </span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * File:   stack.h</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * Author: aurelio</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef STACK_H</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define STACK_H</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="stack_8h.html#a453f07a53194584fd2e0bb720c814c25">   18</a></span>&#160;<span class="preprocessor">#define STACK_MAX_SIZE 100</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="struct_stack.html">   20</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_stack.html#a154ea9e47b3e5d6833c0c401754b1677">   21</a></span>&#160;    <span class="keywordtype">float</span> data[<a class="code" href="stack_8h.html#a453f07a53194584fd2e0bb720c814c25">STACK_MAX_SIZE</a>];</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="struct_stack.html#a750b5d744c39a06bfb13e6eb010e35d0">   22</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_stack.html#a750b5d744c39a06bfb13e6eb010e35d0">index</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;} <a class="code" href="struct_stack.html">Stack</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* STACK_H */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keywordtype">void</span> <a class="code" href="stack_8h.html#ae9d651d70562e77fa39681ccc4993bbf">init_stack</a>(<a class="code" href="struct_stack.html">Stack</a> *s);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keywordtype">void</span> <a class="code" href="stack_8h.html#a43347ab7de63ecfb72ee0472db11f27f">push_stack</a>(<a class="code" href="struct_stack.html">Stack</a> *s, <span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keywordtype">float</span> <a class="code" href="stack_8h.html#ae061732709da8b2f34f5c0fd4ef0ad5d">pop_stack</a>(<a class="code" href="struct_stack.html">Stack</a> *s);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="stack_8h.html#a18db937ce50647114171ae4b28676188">is_stack_empty</a>(<a class="code" href="struct_stack.html">Stack</a> *s);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">float</span> <a class="code" href="stack_8h.html#ae7cb25b94bcf7fd9acb9fbb0d029a27c">peek_stack</a>(<a class="code" href="struct_stack.html">Stack</a> *s); <span class="comment">// aka top or front</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keywordtype">void</span> <a class="code" href="stack_8h.html#a5df3fde62e5dca9a0e26ad20fe3261f3">dup</a>(<a class="code" href="struct_stack.html">Stack</a> *s);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">void</span> <a class="code" href="stack_8h.html#aa27246b3c1dec5924712f4bc1f325621">swap</a>(<a class="code" href="struct_stack.html">Stack</a> *s);</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="stack_8h.html#a1713843976589f81f2d46bb02f92bb9d">   34</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="stack_8h.html#a1713843976589f81f2d46bb02f92bb9d">clear</a>(<a class="code" href="struct_stack.html">Stack</a> *s);</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="ttc" id="astack_8h_html_a1713843976589f81f2d46bb02f92bb9d"><div class="ttname"><a href="stack_8h.html#a1713843976589f81f2d46bb02f92bb9d">clear</a></div><div class="ttdeci">void clear(Stack *s)</div></div>
<div class="ttc" id="astack_8h_html_a18db937ce50647114171ae4b28676188"><div class="ttname"><a href="stack_8h.html#a18db937ce50647114171ae4b28676188">is_stack_empty</a></div><div class="ttdeci">bool is_stack_empty(Stack *s)</div><div class="ttdef"><b>Definition:</b> stack.c:31</div></div>
<div class="ttc" id="astack_8h_html_a43347ab7de63ecfb72ee0472db11f27f"><div class="ttname"><a href="stack_8h.html#a43347ab7de63ecfb72ee0472db11f27f">push_stack</a></div><div class="ttdeci">void push_stack(Stack *s, float value)</div><div class="ttdef"><b>Definition:</b> stack.c:20</div></div>
<div class="ttc" id="astack_8h_html_a453f07a53194584fd2e0bb720c814c25"><div class="ttname"><a href="stack_8h.html#a453f07a53194584fd2e0bb720c814c25">STACK_MAX_SIZE</a></div><div class="ttdeci">#define STACK_MAX_SIZE</div><div class="ttdef"><b>Definition:</b> stack.h:18</div></div>
<div class="ttc" id="astack_8h_html_a5df3fde62e5dca9a0e26ad20fe3261f3"><div class="ttname"><a href="stack_8h.html#a5df3fde62e5dca9a0e26ad20fe3261f3">dup</a></div><div class="ttdeci">void dup(Stack *s)</div><div class="ttdef"><b>Definition:</b> stack.c:45</div></div>
<div class="ttc" id="astack_8h_html_aa27246b3c1dec5924712f4bc1f325621"><div class="ttname"><a href="stack_8h.html#aa27246b3c1dec5924712f4bc1f325621">swap</a></div><div class="ttdeci">void swap(Stack *s)</div><div class="ttdef"><b>Definition:</b> stack.c:50</div></div>
<div class="ttc" id="astack_8h_html_ae061732709da8b2f34f5c0fd4ef0ad5d"><div class="ttname"><a href="stack_8h.html#ae061732709da8b2f34f5c0fd4ef0ad5d">pop_stack</a></div><div class="ttdeci">float pop_stack(Stack *s)</div><div class="ttdef"><b>Definition:</b> stack.c:25</div></div>
<div class="ttc" id="astack_8h_html_ae7cb25b94bcf7fd9acb9fbb0d029a27c"><div class="ttname"><a href="stack_8h.html#ae7cb25b94bcf7fd9acb9fbb0d029a27c">peek_stack</a></div><div class="ttdeci">float peek_stack(Stack *s)</div><div class="ttdef"><b>Definition:</b> stack.c:41</div></div>
<div class="ttc" id="astack_8h_html_ae9d651d70562e77fa39681ccc4993bbf"><div class="ttname"><a href="stack_8h.html#ae9d651d70562e77fa39681ccc4993bbf">init_stack</a></div><div class="ttdeci">void init_stack(Stack *s)</div><div class="ttdoc">initialise d'une pile</div><div class="ttdef"><b>Definition:</b> stack.c:16</div></div>
<div class="ttc" id="astruct_stack_html"><div class="ttname"><a href="struct_stack.html">Stack</a></div><div class="ttdef"><b>Definition:</b> stack.h:20</div></div>
<div class="ttc" id="astruct_stack_html_a750b5d744c39a06bfb13e6eb010e35d0"><div class="ttname"><a href="struct_stack.html#a750b5d744c39a06bfb13e6eb010e35d0">Stack::index</a></div><div class="ttdeci">int index</div><div class="ttdef"><b>Definition:</b> stack.h:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
